#!/usr/bin/env python
#
# Problem EPage 410 
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, sqrt, dot, diag

from goldSearch import bracket, search

def f(sigma_over_r):
    return sigma_over_r**12 - sigma_over_r**6 

xStart = 0.1
h = 0.01 
x1, x2 = bracket(f,xStart,h)
x, fMin = search(f,x1,x2)
print "x= ", x 
print "f(x)= ", fMin

if False: 
    xs = np.linspace( 0.6, 1.1, 200 ) 
    fs = [ f(_) for _ in xs ]
    import pylab
    pylab.plot( xs, fs )
    pylab.xlabel('sigma over r')
    pylab.ylabel('f')
    pylab.grid('on')
    pylab.show()

    
