#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, prod, diag, mean 

from LUdecomp import LUdecomp

A = asarray( [ [ 1, 2, 3 ], [ 2, 3, 4 ], [ 3, 4, 5 ] ], dtype=float ) 
mean_aij = mean( abs(A.flatten()) ) 
LUdecomp(A)
det = prod(diag(A))
print "Part (a): determinant= %10.6f, determinant/mean(Aij)= %10.6f" % (det,det/mean_aij)

A = asarray( [ [ 2.11, -0.7, 1.72 ], [ -1.84, 3.03, 1.29 ], [ -1.57, 5.25, 4.3 ] ], dtype=float ) 
mean_aij = mean( abs(A.flatten()) ) 
LUdecomp(A)
det = prod(diag(A))
print "Part (b): determinant= %10.6f, determinant/mean(Aij)= %10.6f" % (det,det/mean_aij)

A = asarray( [ [ 2, -1, 0 ], [ -1, 2, -1 ], [ 0, -1, 2 ] ], dtype=float ) 
mean_aij = mean( abs(A.flatten()) ) 
LUdecomp(A)
det = prod(diag(A))
print "Part (c): determinant= %10.6f, determinant/mean(Aij)= %10.6f" % (det,det/mean_aij)

A = asarray( [ [ 4, 3, -1 ], [ 7, -2, 3 ], [ 5, -18, 13 ] ], dtype=float ) 
mean_aij = mean( abs(A.flatten()) ) 
LUdecomp(A)
det = prod(diag(A))
print "Part (d): determinant= %10.6f, determinant/mean(Aij)= %10.6f" % (det,det/mean_aij)
