#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, prod, diag, mean 

from LUpivot import *

A = asarray( [ [ 10,  -2, -1,  2,  3,   1, -4,  7 ],
               [ 5 ,  11,  3, 10,  3,   3,  3, -4 ],
               [ 7 ,  12,  1,  5,  3, -12,  2,  3 ],
               [ 8 ,   7, -2,  1,  3,   2,  2,  4 ],
               [ 2 , -15, -1,  1,  4,  -1,  8,  3 ],
               [ 4 ,   2,  9,  1, 12,  -1,  4,  1 ], 
               [ -1,   4, -7, -1,  1,   1, -1, -3 ],
               [  1,   3,  4,  1,  3,   4,  7,  6 ] ], dtype=float )
A_orig = A.copy()
b = asarray( [ 0, 12, -5, 3, -25, -26, 9, -7 ], dtype=float ) 
b_orig = b.copy() 

A,seq = LUdecomp(A)
x = LUsolve(A,b,seq)
print "Solution= ", x
np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9 
