#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, sqrt, pi, sin, cos 

from gaussPivot import gaussPivot

theta = 53 * ( pi / 180 ) 
c = cos(theta)
s = sin(theta) 

A_orig = asarray( [ [ c, 1, 0, 0, 0 ], 
                    [ 0, s, 0, 0, 1 ], 
                    [ 0, 0, 2*s, 0, 0 ], 
                    [ 0, -c, c, 1, 0 ], 
                    [ 0, s, s, 0, 0 ] ], dtype=float )
b_orig = asarray( [ 0, 0, 1, 0, 0 ], dtype=float ) 
x = b_orig.copy()
gaussPivot(A_orig.copy(),x)
print "Solution= ", x
assert np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9
