#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, sqrt, pi, sin, cos 

from gaussPivot import gaussPivot

def solve_system(R):
    A = asarray( [ [ 20, 0, -15 ], 
                   [ 0, R+15, -R ], 
                   [ -15, -R, 35+R ] ], dtype=float )
    b = asarray( [ 220, 0, 0 ], dtype=float ) 
    gaussPivot(A,b)
    return b

for R in [5,10,20]: 
    print "R= %8.2f has solution %s" % (R,solve_system(R))
