#!/usr/bin/env python
#
# Problem EPage 106
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, identity, zeros 

from conjGrad import *

def Ax(v):
    n = len(v)
    Ax = zeros((n),dtype=float)
    Ax[0] = 2*v[0] - v[1]
    Ax[1:n-1] = -v[0:n-2] + 2 * v[1:n-1] - v[2:n]
    Ax[n-1] = -v[n-2] + 2*v[n-1]
    return Ax
    
A = asarray( [ [ 2, -1, 0 ], [ -1, 2, -1 ], [ 0, -1, 2 ] ], dtype=float )
b = asarray( [ 1, 1, 1 ], dtype=float ) 

x = zeros( (A.shape[0]), dtype=float ) 
x,numIter = conjGrad(Ax,x,b)
print "x= ", x 
print "numIter= ", numIter
print np.linalg.norm( dot(A,x) - b )
