#!/usr/bin/env python
#
# Problem EPage 87
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, identity

from LUpivot import *

def matInv(a):
    n = a.shape[0]
    aInv = identity(n)
    a,seq = LUdecomp(a)
    for i in range(n):
        aInv[:,i] = LUsolve(a,aInv[:,i],seq)
    return aInv 

A = asarray( [ [ 2, 4, 3 ], [ 0, 6, 5 ], [ 0, 0, 2 ] ], dtype=float )
A_orig = A.copy()
aInv = matInv(A)
print "aInv= "
print aInv
print dot(aInv,A_orig)

B = asarray( [ [ 2, 0, 0 ], [ 3, 4, 0 ], [ 4, 5, 6 ] ], dtype=float )
B_orig = B.copy()
bInv = matInv(B)
print "bInv= "
print bInv
print dot(bInv,B_orig)
