#!/usr/bin/env python
#
# Problem EPage 133
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, hstack
from polyFit import * 

# Our data:
# 
xData = asarray( [ 0, 0.5, 1, 1.5, 2, 2.5, 3, 3.5, 4, 4.5, 5 ] ) 
yData = asarray( [ 3.076, 2.810, 2.588, 2.297, 1.981, 1.912, 1.653, 1.478, 1.399, 1.018, 0.794 ] ) 

coeff = polyFit( xData, yData, 1 )
print "coeff= ", coeff
print "std= ", stdDev(coeff,xData,yData)
