#!/usr/bin/env python
#
# Problem EPage 133
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, hstack
from polyFit import * 
from evalPoly import evalPoly 

# Our data:
# 
xData = asarray( [ 0, 1.525, 3.050, 4.575, 6.10, 7.625, 9.150 ] )
yData = asarray( [ 1, 0.8617, 0.7385, 0.6292, 0.5328, 0.4481, 0.3741 ] )

coeff = polyFit( xData, yData, 2 )
print "coeff= ", coeff
print "p(x),p'(x),p''(x) at x=10.5= ", evalPoly(coeff,10.5)
