#!/usr/bin/env python
#
# Problem EPage 173
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import linspace
from bisection import *

def f(x): return x**3 - 3.23 * x**2 - 5.54 * x + 9.84 

if __name__ == "__main__":
    if True: 
        xs = linspace( -3.0, +6.0, 100 )
        fs = [ f(_) for _ in xs ]
    
        import pylab; 
        pylab.plot( xs, fs ); 
        pylab.axhline(y=0,color='k')
        pylab.xlabel('x'); pylab.ylabel('f(x)');
        pylab.grid('on'); 
        pylab.show()

    root = bisection( f, 0, 2 )
    print root 


    


