#!/usr/bin/env python
#
# Problem EPage 173
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import cos, sin, linspace
from newtonRaphson import *

def f(x): return sin(x) + 3 * cos(x) - 2 
def df(x): return cos(x) - 3 * sin(x) 

if __name__ == "__main__":
    if True: 
        xs = linspace( -2, +2, 100 ) 
        fs = [ f(_) for _ in xs ]
    
        import pylab; 
        pylab.plot( xs, fs ); 
        pylab.xlabel('x'); pylab.ylabel('f(x)');
        pylab.hold('on')
        pylab.axhline(y=0,color='k')
        pylab.grid('on'); 
        pylab.show()
        
    print "Leftmost root= ", newtonRaphson( f, df, -1.0, 0.0 )
    print "Rightmost root= ", newtonRaphson( f, df, +1.0, 2.0 )


