#!/usr/bin/env python
#
# Problem EPage 221
# Example of this on EPage 216
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import linspace

def f(x): return (1./3) * ( 1 + x**(4./3) )**(-1.) 

a = 0
b = 1
nPanels = 5
xs = linspace( a, b, nPanels+1 )

I = 0.
for ii in range(1,nPanels+1):
    I += 0.5 * ( xs[ii] - xs[ii-1] ) * ( f(xs[ii-1]) + f(xs[ii]) )
print "Integral= ", I


 
