#!/usr/bin/env python
#
# Problem EPage 239
# Example of this on EPage 216
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import log, tan, pi
from gaussQuad import *

def f(x): return ( 1 - x**2 )**3 

xi = [ 0.322548, 1.745761, 4.536620, 9.395071 ]
Ai = [ 0.603154, 0.357418, 0.388791 * 0.1, 0.539295 * 0.001 ]

I = 0.
for ii in range(len(Ai)): 
    I += Ai[ii] * f( xi[ii] )
print "I (Gauss-Laguerre)= %10.6f" % (I,)

 
