#!/usr/bin/env python
#
# Problem EPage 255
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import exp
from gaussQuad2 import * 

def f(x,y): return x * y * exp( - x**2 )

if __name__ == "__main__":
    xs = [ -3, +1, +3, -1 ]
    ys = [ -2, -2, +2, +2 ] 

    for m in range(6,11): 
        approx = gaussQuad2( f, xs, ys, m )
        print "m= %5d, approx= %10.6f" % (m, approx)





