#!/usr/bin/env python
#
# Problem EPage 
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot

from lamRange import lamRange
from householder import householder, computeP

A_orig = asarray( [ [ 12, 4, 3 ], [ 4, 9, 3 ], [ 3, 3, 15 ] ], dtype=float ) 
A = A_orig.copy()

d, c = householder(A)
print "diagonal d= "
print d
print "subdiagonal c= "
print c
print "transformation matrix P= "
P = computeP(A)
print P

if False:
    print "Verify that we can transform A into the tridiagonal form specified above using the matrix P: "
    print dot(dot(P.T,A_orig),P)


