#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, prod, diag, transpose 

from choleski import choleski, choleskiSol

A_orig = asarray( [ [ 1, 1, 1 ], [ 1, 2, 2 ], [ 1, 2, 3 ] ], dtype=float ) 
A = A_orig.copy() 
b_orig = asarray( [ 1, 3./2, 3 ], dtype=float )
b = b_orig.copy()

# Factor our system:
# 
choleski(A)

# Solve our system:
# 
choleskiSol(A,b)

print "Solution= ", b
assert np.linalg.norm( dot(A_orig,b) - b_orig ) < 1.e-6

