#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, prod, diag, mean 

from gaussEliminMultipleRHS import gaussEliminMultipleRHS

A_orig = asarray( [ [ 2, -1, 0 ], [ -1, 2, -1 ], [ 0, -1, 1 ] ], dtype=float ) 
A = A_orig.copy() 
B_orig = asarray( [ [ 1, 0, 0 ], [ 0, 1, 0 ], [ 0, 0, 1 ] ], dtype=float )
B = B_orig.copy() 

gaussEliminMultipleRHS(A,B)
print "Solution= ", B

assert np.linalg.norm( dot( A_orig, B ) - B_orig ) < 1.e-9
