#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, prod, diag, transpose 

from LUdecomp import LUdecomp, LUsolve

A_orig = asarray( [ [ -3, 6, -4 ], [ 9, -8, 24 ], [ -12, 24, -26 ] ], dtype=float ) 
A = A_orig.copy() 
b_orig = asarray( [ -3, 65, -42 ], dtype=float ) 
b = b_orig.copy()

# Solve our system:
# 
LUdecomp(A)
LUsolve(A,b)

print "Solution = ", b 
assert np.linalg.norm( dot(A_orig,b) - b_orig ) < 1.e-6
