#!/usr/bin/env python
#
# Problem EPage 87
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot 

from LUpivot import *

A = asarray( [ [ 1.3174, 2.7250, 2.7250, 1.7181 ], 
               [ 0.4002, 0.8278, 1.2272, 2.5322 ], 
               [ 0.8218, 1.5608, 0.3629, 2.9210 ], 
               [ 1.9664, 2.0011, 0.6532, 1.9945 ] ], dtype=float )
A_orig = A.copy()
b = asarray( [ -8.4855, 4.9874, 5.6665, 6.6152 ], dtype=float ) 
b_orig = b.copy() 

A,seq = LUdecomp(A)
x = LUsolve(A,b,seq)
print "Solution= ", x
np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9 
