#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot

from gaussPivot import gaussPivot

k = 10
W = 50

k_1 = k_3 = k_4 = k
k_2 = k_5 = 2*k
W_1 = W_3 = W
W_2 = 2*W 

A_orig = asarray( [ [ k_1 + k_2 + k_3 + k_5, -k_3, -k_5 ], 
                    [ -k_3, k_3 + k_4, -k_4 ], 
                    [ -k_5, -k_4, k_4 + k_5 ] ], dtype=float )
b_orig = asarray( [ W_1, W_2, W_3 ], dtype=float ) 
x = b_orig.copy()
gaussPivot(A_orig.copy(),x)
print "Solution= ", x
assert np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9
