#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, zeros, dot, sqrt, pi, sin, cos 

from gaussPivot import gaussPivot

def build_system(n):
    A = zeros( (n,n), dtype=float ) 
    for ii in range(n):
        for jj in range(ii,n): 
            A[ii,jj] = (ii+jj)**2
            A[jj,ii] = A[ii,jj]
    b = A.sum(axis=1)
    return A,b

for n in [2,3,4]:
    A,b = build_system(n)
    print "n= ", n
    print A
    print b 
    gaussPivot(A,b)
    print "solution= %s" % b

