#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, zeros 

from gaussPivot import gaussPivot

n = 10
A = zeros( (n,n) )
b = zeros( (n,1) )
for ii in range(n):
    if ii==0: 
        A[ii,0] = 4
        A[ii,1] = -1 
        b[ii] = 9
    elif ii==n-1: 
        A[ii,n-2] = -1
        A[ii,n-1] = 4
        b[ii] = 5
    else:
        A[ii,ii-1] = -1
        A[ii,ii] = 4
        A[ii,ii+1] = -1
        b[ii] = 5
A = A.astype(float)
b = b.astype(float) 
A_orig = A.copy()
b_orig = b.copy() 
gaussPivot(A,b)
print "Solution= ", b.T
assert np.linalg.norm( dot(A_orig,b) - b_orig ) < 1.e-9 
