#!/usr/bin/env python
#
# Problem EPage 106
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, identity, zeros 

from conjGrad import *

def Ax(v):
    n = len(v)
    Ax = zeros((n),dtype=float)
    Ax[0] = 3*v[0] - v[2]
    Ax[1] = 4*v[1] - 2*v[2]
    Ax[2] = -v[0] - 2*v[1] + 5*v[2]
    return Ax
    
A = asarray( [ [ 3, 0, -1 ], [ 0, 4, -2 ], [ -1, -2, 5 ] ], dtype=float )
b = asarray( [ 4, 10, -10 ], dtype=float ) 

x = zeros( (A.shape[0]), dtype=float ) 
x,numIter = conjGrad(Ax,x,b)
print "x= ", x 
print "numIter= ", numIter
print np.linalg.norm( dot(A,x) - b )
