#!/usr/bin/env python
#
# Problem EPage 106
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, identity

from LUpivot import *

def matInv(a):
    n = a.shape[0]
    aInv = identity(n)
    a,seq = LUdecomp(a)
    for i in range(n):
        aInv[:,i] = LUsolve(a,aInv[:,i],seq)
    return aInv 

A = asarray( [ [ 1, 1./2, 1./4, 1./8 ], [ 0, 1, 1./3, 1./9 ], [ 0, 0, 1, 1./4 ], [ 0, 0, 0, 1 ] ], dtype=float ) 
A_orig = A.copy()
aInv = matInv(A)
print "aInv= "
print aInv
print dot(aInv,A_orig)
