#!/usr/bin/env python
#
# Problem EPage 149
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, log, exp
from polyFit import * 
from evalPoly import evalPoly 

# Our data:
# 
xData = asarray( [ 0, 0.5, 1, 1.5, 2, 2.5, 3, 3.5, 4, 4.5, 5, 5.5 ] )
yData = asarray( [ 1.000, 0.994, 0.990, 0.985, 0.979, 0.977, 0.972, 0.969, 0.967, 0.960, 0.956, 0.952 ] )

coeff = polyFit( xData, log( yData ), 1 )
print "coeff_hat= ", coeff
print "coeff= ", exp(coeff[0]), -coeff[1]
print "T_{1/2}= ", log(2) / (-coeff[1])





