#!/usr/bin/env python
#
# Problem EPage 221
# Example of this on EPage 216
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import log, tan, pi
from trapezoid import *

def f(x): return log( 1 + tan(x) )

Iold = 0.
for k in range(1,21): 
    Inew = trapezoid(f,0.0,pi/4.,Iold,k)
    if (k>1) and (abs(Inew - Iold) < 1.e-6) : break 
    Iold = Inew

print "Integral= ", Inew
print "nPanels= ", 2**(k-1)

 
