#!/usr/bin/env python
#
# Problem EPage 239
# Example of this on EPage 216
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import log, pi
from gaussQuad import *

def f(x): return log(x) / ( x**2 - 2 * x + 2 ) 

a = 1
b = pi 
for m in [ 2, 4, 6, 8 ]: 
    I = gaussQuad( f, a, b, m )
    print "Number of nodes= %d; I= %10.6f" % (m,I)

 
