#!/usr/bin/env python
#
# Problem EPage 255
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import sin, pi 
from triangleQuad import * 

def f(x,y): return sin( pi * x ) 

if __name__ == "__main__":
    xs = [ 0, 1, 1 ]
    ys = [ 0, 0, 1 ] 

    exact = 1/pi 
    approx = triangleQuad( f, xs, ys )
    print "approx= %10.6f, exact= %10.6f, error= %10.6f" % (approx, exact, exact - approx)

