#!/usr/bin/env python
#
# Problem EPage 255
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import sin, pi 
from gaussQuad2 import * 

def f(x,y): return sin( pi * x ) * sin( pi * ( y - x ) ) 

if __name__ == "__main__":
    xs = [ 0, 1, 1, 0 ]
    ys = [ 0, 0, 1, 0 ] 

    for m in range(2,6):
        approx = gaussQuad2( f, xs, ys, m )
        print "m= %5d, approx= %10.6f" % (m, approx)

