#!/usr/bin/env python
#
# Problem EPage 254
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import cos
from gaussQuad2 import * 

def f(x,y): return cos( pi * ( x - y ) / 2. )

if __name__ == "__main__":
    xs = [ -1, +1, +1, -1 ]
    ys = [ -1, -1, +1, +1 ] 

    exact = 1.621139
    m = 3
    approx = gaussQuad2( f, xs, ys, m )
    print "m= %5d, approx= %10.6f, exact= %10.6f, error= %10.6f" % (m, approx, exact, exact-approx)





