#!/usr/bin/env python
#
# Problem EPage 360
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray

from jacobi import jacobi 
from sortJacobi import sortJacobi 

S = asarray( [ [ 150, -60, 0 ], [ -60, 120, 0 ], [ 0, 0, 80 ] ], dtype=float ) 

lam, X = jacobi(S.copy())
sortJacobi(lam,X)
print "eigenvalues= "
print lam
print "eigenvectors= "
print X 

# Check for correctness of our results || S X - lambda X || ~ 0 : 
assert np.linalg.norm( ( np.dot(S,X) - np.tile( lam, (S.shape[1],1) ) * X ).flatten() ) < 1.e-6 

