#!/usr/bin/env python
#
# Problem EPage 362
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray

from jacobi import jacobi 
from sortJacobi import sortJacobi 

A = asarray( [ [ 4, -1, -2 ], [ -1, 3, 3 ], [ -2, 3, 1 ] ], dtype=float ) 

Lam, X = jacobi(A.copy())
sortJacobi(Lam,X)
print "eigenvalues= ", Lam
print "eigenvectors= "
print X 

# Check for correctness of our results || AX - lambda X || ~ 0 : 
assert np.linalg.norm( ( np.dot(A,X) - np.tile( Lam, (A.shape[1],1) ) * X ).flatten() ) < 1.e-6
